#pragma bank 255

// Scene: Field

#include "gbs_types.h"
#include "data/bg_outside.h"
#include "data/scene_17_collisions.h"
#include "data/palette_12.h"
#include "data/palette_13.h"
#include "data/sprite_charanimatedsprite.h"
#include "data/scene_17_actors.h"
#include "data/scene_17_triggers.h"
#include "data/scene_17_sprites.h"
#include "data/scene_17_init.h"

BANKREF(scene_17)

const struct scene_t scene_17 = {
    .width = 32,
    .height = 32,
    .type = SCENE_TYPE_TOPDOWN,
    .background = TO_FAR_PTR_T(bg_outside),
    .collisions = TO_FAR_PTR_T(scene_17_collisions),
    .parallax_rows = {
        PARALLAX_STEP(0,0,0)
    },
    .palette = TO_FAR_PTR_T(palette_12),
    .sprite_palette = TO_FAR_PTR_T(palette_13),
    .reserve_tiles = 0,
    .player_sprite = TO_FAR_PTR_T(sprite_charanimatedsprite),
    .n_actors = 1,
    .n_triggers = 1,
    .n_sprites = 1,
    .n_projectiles = 0,
    .actors = TO_FAR_PTR_T(scene_17_actors),
    .triggers = TO_FAR_PTR_T(scene_17_triggers),
    .sprites = TO_FAR_PTR_T(scene_17_sprites),
    .script_init = TO_FAR_PTR_T(scene_17_init)
};
